Bug 803896 - mandatory field description when edit portlet
mandatory field description when edit portlet
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER01
Unspecified Unspecified
unspecified Severity medium
: ---
: 5.2.1.ER03
Assigned To: Default User
Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 17:29 EDT by vramik
Modified: 2013-09-02 01:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8614 by chris.laprun at 2012-03-16 08:26:50 EDT (show)
8614 by chris.laprun at 2012-03-16 08:26:50 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 803896<br>- Removed improper NullFieldValidator on description field.<br>- Cleaned-up formatting as it was getting unwieldy to see what was going on<br>- Replaced (and tested) use of deprecated UIFormCheckBoxInput by UICheckBoxInput.

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/webui/portal/src/main/java/org/exoplatform/portal/webui/application/UIPortletForm.java (+15 / -17)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2379 None Resolved mandatory field description when edit portlet 2012-04-12 05:53:46 EDT

  None (edit)
Description vramik 2012-03-15 17:29:36 EDT
Description of problem:
When editing portlet in edit page or edit layout and you point into Description textarea after click Save And Close you get message: The field "Description" is required. 

Steps to Reproduce:
1. open portal and sign in as a root
2. go to Site Editor -> Edit Page (or Edit Layout)
3. click edit portlet of any portlet
4. switch to Portlet Setting tab
5. click on description textarea 
6. click Save And Close
Comment 1 JBoss JIRA Server 2012-03-16 08:34:57 EDT
Chris Laprun <chris.laprun@jboss.com> made a comment on jira GTNPORTAL-2379

Fixed in EPP, need to apply fix in GateIn.
Comment 2 JBoss JIRA Server 2012-03-16 08:59:18 EDT
Chris Laprun <chris.laprun@jboss.com> made a comment on jira GTNPORTAL-2379

Patch.
Comment 3 JBoss JIRA Server 2012-03-23 11:04:55 EDT
Boleslaw Dawidowicz <boleslaw.dawidowicz@gmail.com> updated the status of jira GTNPORTAL-2379 to Resolved
Comment 4 JBoss JIRA Server 2012-03-23 11:04:55 EDT
Boleslaw Dawidowicz <boleslaw.dawidowicz@gmail.com> made a comment on jira GTNPORTAL-2379

Merged on github

Note You need to log in before you can comment on or make changes to this bug.